[Deprecated]: v1.0

get

/ec-query-svc/rest/v1.0/studies/{studyId}/{mode}/queries/queryTable

Deprecated: Use latest version instead. Compared to direct database access, this v1.0 endpoint provides paginated DC_QUERY history over REST so clients can audit without custom SQL. This improves user integration reliability.

Request

Path Parameters
Query Parameters
  • Minimum Value: 0
    Maximum Value: 500
    Maximum number of rows to return. Provide values between 0 and 500.
  • Minimum Value: 0
    Maximum Value: 10000
    Number of rows to skip before returning results. Provide values between 0 and 10000.
  • Minimum Length: 32
    Maximum Length: 36
    Pattern: ^[0-9A-Fa-f-]{32,36}$
    Optional query identifier filter.
  • Minimum Length: 3
    Maximum Length: 4
    Sort direction applied to versionStart (asc = ascending order, desc = descending order).
    Default Value: asc
    Allowed Values: [ "asc", "desc" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Query history retrieved successfully.
Body ()
Root Schema : Response DTO
Type: object
Base envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
Example:
{\n  \"status\": \"success\",\n  \"result\": {\n    \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n    \"state\": \"Answered\"\n  },\n  \"errorData\": null,\n  \"version\": \"1\"\n}
Nested Schema : Error details DTO
Type: object
Standard structure used to describe errors returned by Query APIs.
Show Source
Example:
{
    "errorCode":"QRY-5000",
    "errorMessage":"Unexpected server error.",
    "details":{
        "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
        "supportCode":"QRY-5000",
        "hint":"Retry request after verifying the study mode."
    }
}
Nested Schema : result
Type: object
Result payload returned when status equals success.
Example:
{
    "opened":3,
    "answered":1,
    "closed":2
}
Nested Schema : QueryRestErrorDetail
Type: object
Read Only: true
Context object returned when additional error metadata is available.
Show Source
  • Client-facing guidance that clarifies how to resolve or retry the request.
    Example: Retry request after verifying the study mode.
  • Unique identifier that can be supplied to Oracle Support when troubleshooting.
    Example: 3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a
  • Support or incident code associated with the error source.
    Example: QRY-5000
Example:
{
    "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
    "supportCode":"QRY-5000",
    "hint":"Retry request"
}
Examples

400 Response

Request validation failed due to missing, invalid, or inconsistent request data.
Body ()
Root Schema : Response DTO
Type: object
Base envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
Example:
{\n  \"status\": \"success\",\n  \"result\": {\n    \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n    \"state\": \"Answered\"\n  },\n  \"errorData\": null,\n  \"version\": \"1\"\n}
Nested Schema : Error details DTO
Type: object
Standard structure used to describe errors returned by Query APIs.
Show Source
Example:
{
    "errorCode":"QRY-5000",
    "errorMessage":"Unexpected server error.",
    "details":{
        "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
        "supportCode":"QRY-5000",
        "hint":"Retry request after verifying the study mode."
    }
}
Nested Schema : result
Type: object
Result payload returned when status equals success.
Example:
{
    "opened":3,
    "answered":1,
    "closed":2
}
Nested Schema : QueryRestErrorDetail
Type: object
Read Only: true
Context object returned when additional error metadata is available.
Show Source
  • Client-facing guidance that clarifies how to resolve or retry the request.
    Example: Retry request after verifying the study mode.
  • Unique identifier that can be supplied to Oracle Support when troubleshooting.
    Example: 3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a
  • Support or incident code associated with the error source.
    Example: QRY-5000
Example:
{
    "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
    "supportCode":"QRY-5000",
    "hint":"Retry request"
}
Examples

404 Response

Returned when no query history entries exist for the supplied filter.
Body ()
Root Schema : Response DTO
Type: object
Base envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
Example:
{\n  \"status\": \"success\",\n  \"result\": {\n    \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n    \"state\": \"Answered\"\n  },\n  \"errorData\": null,\n  \"version\": \"1\"\n}
Nested Schema : Error details DTO
Type: object
Standard structure used to describe errors returned by Query APIs.
Show Source
Example:
{
    "errorCode":"QRY-5000",
    "errorMessage":"Unexpected server error.",
    "details":{
        "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
        "supportCode":"QRY-5000",
        "hint":"Retry request after verifying the study mode."
    }
}
Nested Schema : result
Type: object
Result payload returned when status equals success.
Example:
{
    "opened":3,
    "answered":1,
    "closed":2
}
Nested Schema : QueryRestErrorDetail
Type: object
Read Only: true
Context object returned when additional error metadata is available.
Show Source
  • Client-facing guidance that clarifies how to resolve or retry the request.
    Example: Retry request after verifying the study mode.
  • Unique identifier that can be supplied to Oracle Support when troubleshooting.
    Example: 3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a
  • Support or incident code associated with the error source.
    Example: QRY-5000
Example:
{
    "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
    "supportCode":"QRY-5000",
    "hint":"Retry request"
}
Examples

500 Response

Returned when an unexpected error occurs while retrieving query history.
Body ()
Root Schema : Response DTO
Type: object
Base envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
Example:
{\n  \"status\": \"success\",\n  \"result\": {\n    \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n    \"state\": \"Answered\"\n  },\n  \"errorData\": null,\n  \"version\": \"1\"\n}
Nested Schema : Error details DTO
Type: object
Standard structure used to describe errors returned by Query APIs.
Show Source
Example:
{
    "errorCode":"QRY-5000",
    "errorMessage":"Unexpected server error.",
    "details":{
        "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
        "supportCode":"QRY-5000",
        "hint":"Retry request after verifying the study mode."
    }
}
Nested Schema : result
Type: object
Result payload returned when status equals success.
Example:
{
    "opened":3,
    "answered":1,
    "closed":2
}
Nested Schema : QueryRestErrorDetail
Type: object
Read Only: true
Context object returned when additional error metadata is available.
Show Source
  • Client-facing guidance that clarifies how to resolve or retry the request.
    Example: Retry request after verifying the study mode.
  • Unique identifier that can be supplied to Oracle Support when troubleshooting.
    Example: 3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a
  • Support or incident code associated with the error source.
    Example: QRY-5000
Example:
{
    "requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
    "supportCode":"QRY-5000",
    "hint":"Retry request"
}
Examples

Back to Top